> ## Documentation Index
> Fetch the complete documentation index at: https://docs.costgraph.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List kubernetes cluster node filter options

> Returns available filter options (provider, instance type, usage type, region, availability zone, architecture, operating system, status) for nodes within a specific kubernetes cluster



## OpenAPI

````yaml /api-reference/costgraph/openapi.json get /api/v1/tenant/clusters/{cluster_id}/node-filter-options
openapi: 3.0.0
info:
  description: Read and manage your CostGraph organization, spend, alerts, and settings.
  title: CostGraph API
  contact: {}
  version: '1.0'
servers:
  - url: https://api.costgraph.ai
security: []
tags:
  - name: ai
    x-group: AI
  - name: ai-serving
    x-group: AI serving
  - name: anomalies
    x-group: Anomalies
  - name: auth
    x-group: Auth
  - name: billing
    x-group: Billing
  - name: billing-export
    x-group: Billing export
  - name: budgets
    x-group: Budgets
  - name: ci
    x-group: CI
  - name: compute-recommendations
    x-group: Compute recommendations
  - name: config
    x-group: Config
  - name: cost
    x-group: Cost
  - name: gpus
    x-group: GPUs
  - name: graphai
    x-group: Graph AI
  - name: infracost
    x-group: Infracost
  - name: integrations
    x-group: Integrations
  - name: invitations
    x-group: Invitations
  - name: kubernetes-clusters
    x-group: Kubernetes clusters
  - name: marketplace
    x-group: Marketplace
  - name: network-requests
    x-group: Network requests
  - name: notifications
    x-group: Notifications
  - name: oauth
    x-group: OAuth
  - name: oauth-clients
    x-group: OAuth clients
  - name: opencost
    x-group: OpenCost
  - name: organization
    x-group: Audit log
  - name: organizations
    x-group: Organizations
  - name: placement-alternatives
    x-group: Placement alternatives
  - name: reports
    x-group: Reports
  - name: service-map
    x-group: Service map
  - name: settings
    x-group: Settings
  - name: sso
    x-group: Single sign-on
  - name: tenants
    x-group: Tenants
  - name: user
    x-group: Users
  - name: virtual-machines
    x-group: Virtual machines
  - name: virtual-tags
    x-group: Virtual tags
  - name: workflows
    x-group: Workflows
paths:
  /api/v1/tenant/clusters/{cluster_id}/node-filter-options:
    get:
      tags:
        - kubernetes-clusters
      summary: List kubernetes cluster node filter options
      description: >-
        Returns available filter options (provider, instance type, usage type,
        region, availability zone, architecture, operating system, status) for
        nodes within a specific kubernetes cluster
      parameters:
        - description: Tenant ID
          name: X-CostGraph-Tenant-ID
          in: header
          required: true
          schema:
            type: string
        - description: Kubernetes cluster ID
          name: cluster_id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/responses.SuccessResponse'
                  - type: object
                    properties:
                      data:
                        $ref: '#/components/schemas/k8scluster.NodeListFilterOptions'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/responses.ErrorResponse'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/responses.ErrorResponse'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/responses.ErrorResponse'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/responses.ErrorResponse'
      security:
        - BearerAuth: []
components:
  schemas:
    responses.SuccessResponse:
      type: object
      required:
        - message
        - status
      properties:
        data: {}
        message:
          type: string
          example: some message
        status:
          type: string
          example: success
    k8scluster.NodeListFilterOptions:
      type: object
      required:
        - architecture
        - availability_zone
        - instance_type
        - operating_system
        - provider
        - region
        - status
        - usage_type
      properties:
        architecture:
          type: array
          items:
            $ref: '#/components/schemas/costgraph_agent.VirtualMachineFilterFacet'
        availability_zone:
          type: array
          items:
            $ref: '#/components/schemas/costgraph_agent.VirtualMachineFilterFacet'
        instance_type:
          type: array
          items:
            $ref: '#/components/schemas/costgraph_agent.VirtualMachineFilterFacet'
        operating_system:
          type: array
          items:
            $ref: '#/components/schemas/costgraph_agent.VirtualMachineFilterFacet'
        provider:
          type: array
          items:
            $ref: '#/components/schemas/costgraph_agent.VirtualMachineFilterFacet'
        region:
          type: array
          items:
            $ref: '#/components/schemas/costgraph_agent.VirtualMachineFilterFacet'
        status:
          type: array
          items:
            type: string
        usage_type:
          type: array
          items:
            $ref: '#/components/schemas/costgraph_agent.VirtualMachineFilterFacet'
    responses.ErrorResponse:
      type: object
      required:
        - message
        - status
      properties:
        message:
          type: string
          example: some message
        status:
          type: string
          example: error
    costgraph_agent.VirtualMachineFilterFacet:
      type: object
      required:
        - count
        - value
      properties:
        count:
          description: Number of VMs currently matching Value.
          type: integer
        value:
          description: |-
            One value of the filtered dimension seen among the tenant's VMs,
            e.g. a provider name or an instance type.
          type: string
  securitySchemes:
    BearerAuth:
      description: Enter "Bearer {token}"
      type: apiKey
      name: Authorization
      in: header

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.